Subject: Re: bug#23251: 25.0.92; M-< and M-> don't work with Croatian keyboard

From: Ilya Zakharevich <[email-masked]>
Date: Sun, 10 Apr 2016 12:27:54 -0700

On Sun, Apr 10, 2016 at 05:38:12AM +0300, Eli Zaretskii wrote:
> > From: Josko <[email-masked]>
> > Date: Sat, 9 Apr 2016 20:41:09 +0000
> > 
> > Thank your for the quick answer.
> > 
> > No effect with right ALT because that's AltGr key used for other characters-
> > With CRO keyboard AltGr-< and AltGr-> produce no characters nor commands, 
> > but with US keyb. AltGr-< gives: 'Ç' char. , and nothing with AltGr->.
> > 
> > Also, on CRO keyb., AltGr is mostly used for these chars:
> > AltGR-v = @, AltGR-b = { , AltGr-n = }, AltGr-f = [ , AltGr-g = ] , AltGr-q = \ , AltGr-w = |
> > etc.
> > For example command  M-@ is Alt-AltGr-v and works OK. 
> > 
> > ESC-< and ESC-> also work OK in 25.0.92.
> > 
> > Finally-as soon as I switch to US keyboard (which is always installed in Windows) with ALT-SHIFT,
> > everything is OK with Alt-< and Alt-> in all buffers...
> > 
> > Regarding latest pretest 25.1 version, thanks for the suggestion.
> > I've used the latest precompiled version from sourceforge.net/projects/emacs-bin/files/snapshots/
> > (emacs-25-20160331T094545Z-bin-i686-mingw32.7z).
> > That's how I've found that Spanish keyborad works because the uploader couldn't reproduce the problem.
> > Sorry, I don't know how to compile it from sources myself...
> 
> Ilya, could you perhaps look into this?

From
   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23251
it is not clear what “Generate-Meta” settings are used in this bug,
given that there is no Meta key on the Windows.

    • Is it with no init/site files?
    • What happens if this key is pressed with Alt⸣s?
    • What happens if this key is pressed with left Alt?
    • What happens if this key is pressed with AltGr?
    • What happens if this key is pressed with Alt and AltGr?

Myself, I won’t be able to test this for a few days, since the only
laptop-or-hardware-keyboard about me with ISO key present is not
accessible right now.

Yours,
Ilya